Skip to main content
POST
https://api.clay.com/public/v0
/
routines
/
{routine_id}
/
run-batch
/
upload-url
Issue a presigned PUT URL for uploading a batch input JSONL
curl --request POST \
  --url https://api.clay.com/public/v0/routines/{routine_id}/run-batch/upload-url \
  --header 'clay-api-key: <api-key>'
const options = {method: 'POST', headers: {'clay-api-key': '<api-key>'}};

fetch('https://api.clay.com/public/v0/routines/{routine_id}/run-batch/upload-url', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.clay.com/public/v0/routines/{routine_id}/run-batch/upload-url"

headers = {"clay-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
{
  "file_id": "<string>",
  "upload_url": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

clay-api-key
string
header
required

Personal API key tied to your Clay user. Create one under Settings → Account in the Clay app.

Path Parameters

routine_id
string
required

Response

200

file_id
string
required
upload_url
string<uri>
required